Subject: RE: 3. Volunteers to work on Requirements (was RE: [Asrg] voting?)

From: "Eric D. Williams" <[email-masked]>
Date: Wed, 2 Apr 2003 10:49:31 -0500

Thank you Paul I will do that.  I appreciate the pointer to the message, I was 
having trouble finding the message you referenced in the archive link you sent 
yesterday.

Thanks again,

-e

On Wednesday, April 02, 2003 9:38 AM, Paul Judge 
[SMTP:[email-masked]] wrote:
>
> Eric, if you wish to work on requirements, you should begin with the work
> that has already been done in the group. Please see my message from March
> 19th.
> https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg01721.html
> Also, Russell Brand volunteered to work on requirements, so I suggest that
> the two of you touch bases.
>
>
>
> > -----Original Message-----
> > From: Eric D. Williams [mailto:[email-masked]]
> > Sent: Tuesday, April 01, 2003 6:49 PM
> > To: 'matthew richards'; [email-masked]'
> > Subject: RE: [Asrg] voting?
>
> > So for the past few days that is the task I have been
> > monitoring and trying to
> > tackle by participating (where I can) and soliciting
> > information on the
> > consensus or merely 'thinking' on some of the issues.  So far
> > a paper-man of
> > requirements has emerged, but there is (quite) a bit more to
> > go before I can
> > present a draft.
> >
> > The draft of requirements ToC will include information (I
> > suggest if anyone has
> > any advice or wants to help now would be as good a time as
> > any) on requirements
> > in the following formats:
> >
> > Section #. Requirement
> > Section #.1 Requirement Rationale
> > Section #.1.1 Scenario (optional)
> >
> > I will not use the RFC2119 the convention for keywords, but
> > will flow with
> > consensus as follows:
> >
> > "  keywords MUST, MUST NOT, SHOULD, and MAY are NOT as in RFC 2119,
> >    but rather:
> >
> >    o  MUST: This word, or the terms "REQUIRED" or "SHALL", means that
> >       the described behavior or characteristic is an absolute
> >       requirement for a proposed ASRG specification.
> >
> >    o  MUST NOT: This phrase, or the phrase "SHALL NOT", means that the
> >       described behavior or characteristic is an absolute
> > prohibition of
> >       a proposed ASRG specification.
> >
> >    o  SHOULD: This word, or the adjective "RECOMMENDED", means that
> >       there may exist valid reasons in particular circumstances for a
> >       proposed ASRG specification to ignore described behavior or
> >       characteristics.
> >
> >    o  MAY: This word, or the adjective "OPTIONAL", means that
> > described
> >       behavior or characteristics are truly optional for a
> > proposed ASRG
> >       specification.  One proposed specification may choose to include
> >       the described behavior or characteristic while another proposed
> >       specification may omit the same behavior or
> > characteristic.         "
> >
>
> Why not use RFC2119 conventions? This could lead to much confusion.
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: [email-masked]
Date: Wed, 2 Apr 2003 07:39:44 -0800 (PST)

Here are some more links relevant to requirements:

3. Requirements for solutions 

Requirements (started by Keith Moore):
(beginning of thread) 
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00726.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00758.html
https://www1.ietf.org/mail-archive/working-grou/asrg/current/msg00797.html 
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00846.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00778.html  
(final on thread) 
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg01721.html

Basic Principals (by Brad Templeton):
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00390.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00409.html
(also see http://www.templetons.com/brad/spume/prin.html)

Requirements for Source Tracking (started by Raymie Stata):
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00211.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00228.html 

Additional messages on requirements:
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00027.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00337.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00308.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00757.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00427.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00470.html  
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00630.html 

Policies and how they are applied in different parts of the system (not 
sure if this is ok place for this...):
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00664.html

Bulk Mail Sender Accountability:
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00384.html
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00248.html

Requirement as far as less computer power or less upgrades:
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg00735.html 

Where do we want to stop spam at (source, destination, etc):
https://www1.ietf.org/mail-archive/working-groups/asrg/current/msg01087.html